import 'package:healthrian_ble_interface/healthrian_ble_interface.dart';
import 'package:healthrian_ble_support_for_cardioclick/'
    'healthrian_ble_support_for_cardioclick.dart';

class BLEManager extends ManagerInterface {
  factory BLEManager() {
    return _instance;
  }

  BLEManager._internal() {}

  static final BLEManager _instance = BLEManager._internal();

  Versions versions = Versions.v1;

  ModuleV1 moduleV1 = ModuleV1();
  ModuleV2 moduleV2 = ModuleV2();

  ModuleInterface get module => versions == Versions.v1 ? moduleV1 : moduleV2;
}
